Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSZangConfiguration Class Reference

Configuration information for Zang. More...

`#import <CSZangConfiguration.h>`

Inherits NSObject.

## Properties
BOOL | enabled
| A Boolean value indicating whether the Zang provider is enabled. More...
CSServerInfo * | authorizationServer
| The server address. More...
CSServerInfo * | spacesServer
NSString * | clientId
NSString * | secret
NSString * | redirectURI
NSString * | scope
NSString * | authorizationURL
| URL generated from the configuration to authorization. More...
NSString * | accessTokenURL
| URL generated from the configuration for OAuth2 access_token POST request. More...
id< CSCredentialProvider > | credentialProvider
| The credential provider. More...

## Detailed Description

Configuration information for Zang.

## Property Documentation

- (NSString*) accessTokenURL
| read nonatomic assign

URL generated from the configuration for OAuth2 access_token POST request.

Example: https://accounts.avayacloud.com/oauth2/access_token

- (CSServerInfo*) authorizationServer
| read write nonatomic strong

The server address.

- (NSString*) authorizationURL
| read nonatomic assign

URL generated from the configuration to authorization.

Example: https://accounts.avayacloud.com/oauth2/authorize/...

- (NSString*) clientId
| read write nonatomic strong

- (id<CSCredentialProvider>) credentialProvider
| read write nonatomic weak

The credential provider.

- (BOOL) enabled
| read write nonatomic assign

A Boolean value indicating whether the Zang provider is enabled.

- (NSString*) redirectURI
| read write nonatomic strong

- (NSString*) scope
| read write nonatomic strong

- (NSString*) secret
| read write nonatomic strong

- (CSServerInfo*) spacesServer
| read write nonatomic strong

The documentation for this class was generated from the following file:

- CSZangConfiguration.h